;InnoSetupVersion=5.1.10

[Setup]
AppName=FBackup 4
AppVerName=FBackup 4.0
AppId=FBackup 4
AppPublisher= Softland
AppPublisherURL=http://www.fbackup.com
AppSupportURL=http://www.fbackup.com/forum
AppUpdatesURL=http://www.fbackup.com
DefaultDirName={pf}\Softland\FBackup 4
DefaultGroupName=FBackup 4
UninstallDisplayIcon={app}\FBackup.exe
UninstallDisplayName=FBackup 4
OutputBaseFilename=fbsetup
Compression=zip
ChangesAssociations=yes
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\FBackup.exe"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\FBackup.exe.manifest"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\fbaSchedStarter.exe"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\fbaSched.exe"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\AES.DLL"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\libeay32.dll"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\ssleay32.dll"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\vshadowXP,1.dll"; DestDir: "{app}"; DestName: "vshadowXP.dll"; Flags: overwritereadonly ignoreversion 
Source: "{app}\Starburn.dll"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\sqlite3.dll"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\vshadowXP,2.dll"; DestDir: "{app}"; DestName: "vshadowXP.dll"; Flags: overwritereadonly ignoreversion 
Source: "{app}\Plugins\MyDocuments.xml"; DestDir: "{app}\Plugins"; Flags: overwritereadonly ignoreversion 
Source: "{app}\Plugins\MyPictures.xml"; DestDir: "{app}\Plugins"; Flags: overwritereadonly ignoreversion 
Source: "{app}\Plugins\OutlookExpressSources.dll"; DestDir: "{app}\Plugins"; Flags: overwritereadonly ignoreversion 
Source: "{app}\Plugins\WindowsMail.xml"; DestDir: "{app}\Plugins"; MinVersion: 0.0,6.0; Flags: overwritereadonly ignoreversion 
Source: "{app}\FBackup.chm"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\License.rtf"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\Languages\FBackup.ntv.lng"; DestDir: "{app}\Languages"; Flags: overwritereadonly ignoreversion 
Source: "{app}\SuccessFullMail.txt"; DestDir: "{app}"; Flags: overwritereadonly onlyifdoesntexist ignoreversion 
Source: "{app}\WarningFullMail.txt"; DestDir: "{app}"; Flags: overwritereadonly onlyifdoesntexist ignoreversion 
Source: "{app}\ErrorFullMail.txt"; DestDir: "{app}"; Flags: overwritereadonly onlyifdoesntexist ignoreversion 
Source: "{app}\TestSuccessFullMail.txt"; DestDir: "{app}"; Flags: overwritereadonly onlyifdoesntexist ignoreversion 
Source: "{app}\TestErrorFullMail.txt"; DestDir: "{app}"; Flags: overwritereadonly onlyifdoesntexist ignoreversion 
Source: "{app}\CleanupSuccessFullMail.txt"; DestDir: "{app}"; Flags: overwritereadonly onlyifdoesntexist ignoreversion 
Source: "{app}\CleanupErrorFullMail.txt"; DestDir: "{app}"; Flags: overwritereadonly onlyifdoesntexist ignoreversion 
Source: "{app}\backup.ctm"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 
Source: "{app}\backup.rls"; DestDir: "{app}"; Flags: overwritereadonly ignoreversion 

[Dirs]
Name: "{app}\Languages"; Flags: uninsalwaysuninstall 

[Registry]
Root: HKCR; Subkey: ".fkc"; ValueType: String; ValueData: "FBackupFile"; Tasks: associate; Flags: uninsdeletekey deletevalue 
Root: HKCR; Subkey: "FBackupFile\"; ValueType: String; ValueData: "FBackup catalog"; Tasks: associate; Flags: uninsdeletekey deletevalue 
Root: HKCR; Subkey: "FBackupFile\DefaultIcon"; ValueType: String; ValueData: "{app}\FBackup.exe,1"; Tasks: associate; Flags: uninsdeletekey deletevalue 
Root: HKCR; Subkey: "FBackupFile\shell\open\command"; ValueType: String; ValueData: "{app}\FBackup.exe /L ""%1"""; Tasks: associate; Flags: uninsdeletekey deletevalue 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "FBackup 4"; ValueType: String; ValueData: """{app}\FBackup.exe"" /s"; Tasks: autostart; OnlyBelowVersion: 0.0,6.0; Flags: uninsdeletevalue deletevalue 

[INI]
FileName: "{app}\Languages\Languages.ini"; Section: "Languages"; 

[Run]
Filename: "{app}\fbaSched.exe"; Flags: nowait
Filename: "{app}\FBackup.exe"; Description: "{cm:LaunchProgram,FBackup 4}"; Flags: shellexec postinstall skipifsilent nowait
Filename: "http://www.fbackup.com"; Description: "{cm:ProgramOnTheWeb,FBackup 4}"; Flags: shellexec postinstall skipifsilent nowait

[Icons]
Name: "{group}\FBackup 4"; Filename: "{app}\FBackup.exe"; 
Name: "{group}\FBackup 4 Help"; Filename: "{app}\FBackup.CHM"; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; 
Name: "{commondesktop}\FBackup 4"; Filename: "{app}\FBackup.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\FBackup"; Filename: "{app}\FBackup.exe"; Tasks: quicklaunchicon; MinVersion: 0.0,5.0.2195; 
Name: "{group}\Download User Manual"; Filename: "http://www.fbackup.com/download/pdf/User-Manual.pdf"; 
Name: "{group}\Visit the forum"; Filename: "http://www.fbackup.com/forum"; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:CT_OPTIONS}:"; 
Name: "associate"; Description: "{cm:AssocFileExtension,FBackup 4,.fkc}"; GroupDescription: "{cm:CT_OPTIONS}:"; 
Name: "autostart"; Description: "{cm:CT_START_UP}"; GroupDescription: "{cm:CT_OPTIONS}:"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:CT_OPTIONS}:"; MinVersion: 0.0,5.0.2195; 

[InstallDelete]
Type: files; Name: "{app}\FBackup.ctm"; 

[CustomMessages]
EN.NameAndVersion=%1 version %2
EN.AdditionalIcons=Additional icons:
EN.CreateDesktopIcon=Create a &desktop icon
EN.CreateQuickLaunchIcon=Create a &Quick Launch icon
EN.ProgramOnTheWeb=%1 on the Web
EN.UninstallProgram=Uninstall %1
EN.LaunchProgram=Launch %1
EN.AssocFileExtension=&Associate %1 with the %2 file extension
EN.AssocingFileExtension=Associating %1 with the %2 file extension...
EN.CT_OPTIONS=Options
EN.CT_START_UP=&Start on Windows startup
EN.CT_START_OTB=Start '&One Touch Backup' Agent
EN.CT_MUTEX_MESSAGE_1=Setup has detected that %1 is currently running.
EN.CT_MUTEX_MESSAGE_2=Do you want to close %1?
EN.CT_MUTEX_MESSAGE_3=If you choose No, setup will exit.
EN.CT_CANT_STOP_1=Setup cannot stop %1 automatically, probably because a backup execution is in progress.
EN.CT_CANT_STOP_2=Please manually close %1, then click OK to continue, or Cancel to exit.
EN.CT_DEF_DIR_H1=Select Default Settings
EN.CT_DEF_DIR_H2=What should be the default settings of %1?
EN.CT_DEF_DIR_H3=Select the folder where you want to store the backups by default
EN.CT_SET_LOC_H3=Make the settings available for:
EN.CT_DEF_DIR_REC=It is recommended to designate a different drive, USB device or network folder for this.
EN.CT_DEF_DIR_SETINGS=Select the folder where the settings files should be kept
EN.CT_DEF_DIR_CurrUser=Current User
EN.CT_DEF_DIR_AllUsers=All Users
EN.CT_DEF_DIR_OverrideSettings=Override default location for %1 settings
EN.CT_DEF_DIR_OverrideDest=Override default location for destination
EN.CT_CHECK_ALL=Check &All
EN.CT_UNCHECK_ALL=&Uncheck All
EN.CT_BLANK_PASS_H1=Blank Scheduler Password
EN.CT_BLANK_PASS_H2=Do you want to allow blank passwords for the scheduler?
EN.CT_BLANK_PASS=If you do not have a password set for this windows login account you might want to enable usage of blank passwords for scheduling. If you don''t enable this option and you are logged on to an account with blank password the scheduled tasks will not run. You can either check the option below or create a password for your account.
EN.CT_BLANK_PASS_CB=&Allow blank passwords when scheduling
EN.CT_INST_LANG_H1=Select languages for the interface
EN.CT_INST_LANG_H2=What languages do you want to install for the %1 interface?
EN.CT_INST_LANG_H3=Select the languages you want to install, then click next.
EN.CT_DEF_LANG_H1=Select the default interface language
EN.CT_DEF_LANG_H2=Which should be the default interface language?
EN.CT_DEF_LANG_H3=Select the default language you want to use in %1, then click Next.
EN.CT_SUM_LANG=Interface languages:
EN.CT_SUM_DEF_LANG=Default interface language:
EN.CT_SUM_DEF_DEST=Backup destination folder:
EN.CT_ENTER_DEF_FOLDER=You must enter your default backup directory.
EN.CT_YES=Yes
EN.CT_NO=No
EN.CT_OTB_H1=One Touch Backup
EN.CT_OTB_H2=Warning! This feature will be disabled
EN.CT_OTB_MSG_1=Some USB enclosures have a button to start the execution of an associated program. If you have such a device, you can configure %1 to execute a backup item or a backup group when this button is pressed. This feature is named "One Touch Backup".
EN.CT_OTB_MSG_2="One Touch Backup" requires Win98 SE, WinME, Win2000, WinXP or Win2003 Server. This feature will not work on the current operating system!
EN.CT_LANGS_STD_1=Setup has found that you have standalone language packs for %1 installed.
EN.CT_LANGS_STD_2=Do you want to unistall them also?
EN.CT_ALLOW_BURN=Allow restricted users to use the CD\DVD writer devices
EN.CT_START_VSS=Start the Volume Shadow Service (Needed for open file backup)

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "EN"; MessagesFile: "embedded\EN.isl"; 
